#pragma once
#include <vector>
#include "CHardware.h"


class CHWSimpleGraphicAdapter : CHardware
{
  protected:
    // The firmware gets loaded to this buffer
    uint8_t Firmware[0x1000];

    // Registers
    uint16_t Reg_IP;    // Instruction pointer
    uint16_t Reg_r[16]; // 16 general purpose registers

  public:
    CHWSimpleGraphicAdapter(const char *FirmwareFile);
    const char *GetName() const;
    bool InterruptDispatcher(int IntNo);
    bool Step();
};


